<script lang="ts">
	import Left from './Left/_main.svelte'
	import Right from './Right/_main.svelte'
	import Eliza from './Eliza.svelte'
	let content = "Hello Wörld"
</script>

<div>
	<Left bind:content/>
	<Right {content}/>
	
	{#if (content == "top secret")}
	<p>Thank you. We will bombard your inbox and sell your personal details.</p>
	{/if}
	<Eliza/>
</div>

<style>
	div {
		text-align: center;
		padding: 1em;

		display: grid;
		gap: 10px;
		
		
		position: absolute;
		top: 50vh;
		left: 50vw;
		transform: translate(-50%, -50%);
		grid-template-columns: auto;
	}

	@media (min-width: 640px) {
		div {
			grid-template-columns: 250px 450px 250px;
		}
	}
</style>